Name:Plum Software Desktop Link
 
Version:212.0.17.12
 
Publisher:Plum Software
 
Please close Outlook, Word and Excel before beginning this installation.
The following prerequisites are required:
 
  • Microsoft .NET Framework 4.5.2 (x86 and x64)
  • Windows Installer 4.5
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
 

Reminder: You can continue to use Plum through your 'RDP' connection.

Desktop link is not compulsory.

You MUST close Outlook, Word and Excel before clicking Install.

If you experience problems installing or downloading this update

  • Try Google Chrome or Firefox if Internet Explorer blocks the download
  • Double check that Outlook, Word and Excel are not running - restart your machine if necessary.
  • You may need to temporarily disable your Anti-virus software.
Install
 
Plum Software Customer Support    ::    ClickOnce and .NET Framework Resources